<!DOCTYPE html>
<head>
    <title>CURENT LTBWeb</title>
    <style>
    * {
        margin: 0;
        padding: 0;
        box-sizing: border-box;
    }

    #map1 {
        width: 100vw;
        height: 100vh;
    }

    #map2 {
        display: none;
    }

    .row {
      display: flex;
      flex-grow: 1;
    }

    .column {
      flex: 50%;
    }

    .flex-container {
      /* We first create a flex layout context */
        width: 25%;
        display: flex;

      /* Then we define the flow direction
         and if we allow the items to wrap
       * Remember this is the same as:
       * flex-direction: row;
       * flex-wrap: wrap;
       */
        flex-flow: row wrap;

      /* Then we define how is distributed the remaining space */
        justify-content: flex-end;
    }

    .vega-actions a {
        margin-right: 5px;
        z-index: 9999;
    }

    </style>
    <script src="https://cdn.jsdelivr.net/npm/vega@5.6.0"></script>
    <script src="https://cdn.jsdelivr.net/npm/vega-lite@4.0.0-beta.10"></script>
    <script src="https://cdn.jsdelivr.net/npm/vega-embed@5.1.2"></script>

    <style media="screen">
        /* Add space between Vega-Embed links  */
        .vega-actions a {
          margin-right: 500px;
          z-index: 9999;
        }
    </style>

    <style>

        #playbackpanel {
            visibility: hidden;
            position: absolute;
            left: 25px;
            bottom: 25px;
            width: 50%;
            z-index: 9999;

            background-color: white;
            color: black;
            padding: 7px;
            border-radius: 6px;
        }

        #configpanel {
            visibility: hidden;
            position: absolute;
            left: 70px;
            top: 25px;
            z-index: 9999;

            background-color: white;
            color: black;
            padding: 7px;
            border-radius: 6px;
        }

        #configpanel table {
            width: 100%;
        }

        #configpanel tr {
            padding-top: 2px;
        }
    </style>
</head>

<body>
<link rel="stylesheet" href="https://unpkg.com/leaflet@1.0.3/dist/leaflet.css" crossorigin="" />
<link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/leaflet-easybutton@2/src/easy-button.css">
<link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/leaflet-dialog@1.0.5/Leaflet.Dialog.min.css">
<link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/leaflet-sidebar-v2@3.2.1/css/leaflet-sidebar.css">
<link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/leaflet-search@2.9.8/src/leaflet-search.css">
<link href="https://stackpath.bootstrapcdn.com/font-awesome/4.7.0/css/font-awesome.min.css" rel="stylesheet">

<script src="https://unpkg.com/leaflet@1.0.3/dist/leaflet.js" crossorigin=""></script>
<script>base64arraybuffer = exports = {};</script>
<script src="https://unpkg.com/base64-arraybuffer@0.2.0/lib/base64-arraybuffer.js"></script>
<script>exports = undefined</script>
<script src="https://rawcdn.githack.com/greggman/twgl.js/0e14d352a4062e9c2242cd6fa971f738ad763a38/dist/4.x/twgl-full.min.js"></script>
<script src="https://unpkg.com/d3-delaunay@5.1.3/dist/d3-delaunay.min.js"></script>

<script src="../static/js/dime.js" type="text/javascript" crossorigin=""></script>
<script src="../static/js/NDArray.js"></script>
<script src="../static/js/CanvasLayer.js"></script>
<script src="../static/js/TopologyLayer.js"></script>
<script src="../static/js/TopMulti.js"></script>
<script src="../static/js/ContMulti.js"></script>
<script src="../static/js/PlayMulti.js"></script>
<script src="../static/js/ContourLayer.js"></script>
<script src="../static/js/CommunicationLayer.js"></script>
<script src="../static/js/SearchLayer.js"></script>
<script src="../static/js/ZoneLayer.js"></script>
<script src="../static/js/ConfigControl.js"></script>
<script src="../static/js/LayerControl.js"></script>
<script src="../static/js/Window.js"></script>
<script src="../static/js/TimeBox.js"></script>
<script src="../static/js/PlaybackControl.js"></script>
<script src="../static/js/Legend.js"></script>
<script src="https://cdn.sheetjs.com/xlsx-latest/package/dist/xlsx.full.min.js"></script>
<script src="https://cdn.jsdelivr.net/npm/papaparse@5.3.2/papaparse.min.js"></script>
<script src="https://cdn.jsdelivr.net/npm/leaflet-easybutton@2/src/easy-button.js"></script>
<script src="https://cdn.jsdelivr.net/npm/leaflet-dialog@1.0.5/Leaflet.Dialog.min.js"></script>
<script src="https://cdn.jsdelivr.net/npm/leaflet-sidebar-v2@3.2.1/js/leaflet-sidebar.js"></script>
<script src="https://cdn.jsdelivr.net/npm/leaflet-search@2.9.8/dist/leaflet-search.src.min.js"></script>

<div class="row">
	<div class="column" id="map1"></div>
    <div class="column" id="map2"></div>
    <!-- <div class="flex-container", id="plots">
        <div class="row", id="vis"> </div>
        <div class="row", id="vis2"> </div>
        <div class="row", id="vis3"> </div>
    </div> -->
</div>
    <script>
        /*let options = {
            // Settings for DiME clients
            dimehost1: window.location.hostname,
            dimeport1: +window.location.port + 8,
            dimehost2: window.location.hostname,
            dimeport2: +window.location.port + 8,

            // Settings for map1
            vmin1: 0.8,
            vmax1: 1.2,
            amin1: -1.0,
            amax1: 1.0,
            fmin1: 0.9998,
            fmax1: 1.0002,
            opacity1: 0.25,

            // Settings for map2
            vmin2: 0.8,
            vmax2: 1.2,
            amin2: -1.0,
            amax2: 1.0,
            fmin2: 0.9998,
            fmax2: 1.0002,
            opacity2: 0.25
        };*/

        let options = [
            // Settings for map1
            {
                dimehost: window.location.hostname,
                dimeport: +window.location.port + 8,
                vmin: 0.8,
                vmax: 1.2,
                amin: -1.0,
                amax: 1.0,
                fmin: 0.9998,
                fmax: 1.0002,
                opacity: 0.25
            },

            // Settings for map2
            {
                dimehost: window.location.hostname,
                dimeport: +window.location.port + 8,
                vmin: 0.8,
                vmax: 1.2,
                amin: -1.0,
                amax: 1.0,
                fmin: 0.9998,
                fmax: 1.0002,
                opacity: 0.25
            }
        ];

        if (document.cookie !== "") {
            for (let option of options) { // TODO: fix this
                document.cookie.split(';').map((d) => d.split('=')).reduce((acc, [k, v]) => { acc[k.trim()] = v.trim(); return acc; }, option);
            }
        }

        if (window.location.hash !== "") {
            for (let option of options) {
                window.location.hash.substring(1).split(',').map((d) => d.split('=')).reduce((acc, [k, v]) => { acc[k] = decodeURI(v); return acc; }, option);
            }
        }

        /*window.onbeforeunload = function() {
            let dt = new Date();
            dt.setTime(dt.getTime() + (365 * 24 * 60 * 60 * 1000));
            dt = dt.toUTCString();

            for (let [k, v] of Object.entries(options)) {
                document.cookie = k + "=" + v + ";expires=" + dt + ";path=/";
            }
        }*/

        const x1 = document.getElementById("map1");
        const x2 = document.getElementById("map2");

        const window1 = new Window(1, options[0]);
        const window2 = new Window(2, options[1]);

        window1.mainThread();
        window2.mainThread();

        function toggleSecondMap() {
            x2.style.display = (x2.style.display === "block" ? "none" : "block");

            window1.map.invalidateSize();
            window2.map.invalidateSize();
        }

        L.easyButton('<span>2nd</span>', toggleSecondMap).addTo(window1.map);

        // set the number of map views
        if (options.nview > 1) {
            toggleSecondMap();
        }
    </script>
